@import url('https://fonts.googleapis.com/css2?family=Quicksand:wgth@300;400;500;600;700&display=swap');
*{
    font-family: 'Quicksand',sans-serif;
    padding: 0;
    margin: 0;
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #000;
}
.container{
    position: relative;
    width: 800px;
    height: 500px;
    background: #111;
}
.container .clip{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: 0.5s;
}
.container .clip.clip1{
    clip-path: polygon(0 0, 45% 0, 23% 100%, 0% 100%);
    background: url(img1.jpg);
    background-size: cover;
}
.container .clip.clip2{
    clip-path: polygon(93% 0, 45% 0, 23% 100%, 51% 100%);
    background: url(img2.jpg);
    background-size: cover;
}
.container .clip.clip3{
     clip-path: polygon(93% 0, 100% 0, 100% 100%, 51% 100%);
     background: url(img3.jpg);
     background-size: cover;
}
.container:hover .clip{
    clip-path: polygon(100% 0, 100% 0, 100% 100%, 100% 100%);
}
.container .clip:hover{
    clip-path: polygon(0 0,100% 0, 100% 100%, 0% 100%);
}
.container .clip .content{
    position: absolute;
    bottom:-140px;
    left: 0;
    background: rgba(255, 255, 255,0.5);
    border: 2px solid rgb(255, 255, 255);
    width: 70%;
    padding: 20px;
    opacity: 0;
    transition: 0.5s;
}
.container .clip:hover .content{
    opacity: 1;
    bottom:0;
    border-radius: 20px;
}
.container .clip .content h2{
    font-size: 2em;
}
